From 1a724f198633cdda156642b4b8d48fe4b36d3ad9 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Thu, 12 Apr 2012 16:06:13 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 COSMIC/HDR/sockets.h                               |    4 +-
 COSMIC/Sopen.c                                     |    4 +-
 COSMIC/Sputs.c                                     |    4 +-
 COSMIC/Svprintf.c                                  |    2 +-
 COSMIC/Swrite.c                                    |    4 +-
 Makefile.am                                        |    5 +-
 Makefile.in                                        |  140 +-
 aclocal.m4                                         |  516 +-
 autom4te.cache/output.0                            | 8159 ++++++++-------
 autom4te.cache/requests                            |  485 +-
 autom4te.cache/traces.0                            |  604 +-
 config.h.in                                        |    3 +
 configure                                          | 6172 ++++++------
 debian/changelog                                   |   15 +
 debian/compat                                      |    2 +-
 debian/control                                     |    4 +-
 debian/copyright                                   |    2 +-
 debian/patches/00list                              |    1 -
 debian/patches/10-debian-local-changes.patch       |10511 ++++++++++++++++++++
 ...vsprintf.dpatch => 20-fix-FTBFS-vsprintf.patch} |   27 +-
 debian/patches/series                              |    3 +
 debian/rules                                       |   18 +-
 debian/source/format                               |    1 +
 dmucs_db.cc                                        |   18 +-
 dmucs_db.h                                         |   14 +-
 dmucs_hosts_file.cc                                |    4 +-
 dmucs_hosts_file.h                                 |    8 +-
 dmucs_msg.cc                                       |    4 +-
 gethost.cc                                         |   11 +-
 loadavg.cc                                         |    2 +-
 main.cc                                            |    2 +-
 monitor.cc                                         |    6 +-
 remhost.cc                                         |    4 +-
 33 files changed, 18965 insertions(+), 7794 deletions(-)
 delete mode 100644 debian/patches/00list
 create mode 100644 debian/patches/10-debian-local-changes.patch
 rename debian/patches/{01_fix_FTBFS_vsprintf.dpatch => 20-fix-FTBFS-vsprintf.patch} (67%)
 create mode 100644 debian/patches/series
 create mode 100644 debian/source/format

diff --git a/COSMIC/HDR/sockets.h b/COSMIC/HDR/sockets.h
index a4972f8..1e543f7 100644
--- a/COSMIC/HDR/sockets.h
+++ b/COSMIC/HDR/sockets.h
@@ -430,7 +430,7 @@ unsigned long Speeraddr(Socket *);
 char *Speername(Socket *);                                                                                          /* Speername.c     */
 int Sprintf( Socket *, char *, ...);                                                                                /* Sprintf.c       */
 char *Sprtskt(Socket *);                                                                                            /* Sprtskt.c       */
-void Sputs( const char *, Socket *);                                                                                      /* Sputs.c         */
+void Sputs( char *, Socket *);                                                                                      /* Sputs.c         */
 int Sread( Socket *,  void *,  int);                                                                                /* Sread.c         */
 int Sreadbytes( Socket *,  void *,  int);                                                                           /* Sreadbytes.c    */
 SKTEVENT Srmsrvr(char *);                                                                                           /* Srmsrvr.c       */
@@ -439,7 +439,7 @@ int Stest(Socket *);
 int Stimeoutwait(Socket *,long,long);                                                                               /* Stimeoutwait.c  */
 int Svprintf( Socket *, char *, void *);                                                                            /* Svprintf.c      */
 int Swait(Socket *);                                                                                                /* Swait.c         */
-int Swrite( Socket *,  const void *,  int);                                                                               /* Swrite.c        */
+int Swrite( Socket *,  void *,  int);                                                                               /* Swrite.c        */
 #else
 /* XTDIO: SKTS routines */
 extern Socket *Saccept();                                                                                           /* Saccept.c       */
diff --git a/COSMIC/Sopen.c b/COSMIC/Sopen.c
index 365bc9d..3676ef5 100644
--- a/COSMIC/Sopen.c
+++ b/COSMIC/Sopen.c
@@ -318,7 +318,7 @@ char *sktname;
 #ifdef SSLSKTZERO
         close(skt->skt); skt->skt= 0;
 #else
-        close(skt->skt); skt->skt= (intptr_t) NULL;
+        close(skt->skt); skt->skt= (int) NULL;
 #endif
         freeSocket(skt);
         return (Socket *) NULL;
@@ -387,7 +387,7 @@ char *sktname;
 #ifdef SSLSKTZERO
     pmskt->skt= 0;
 #else
-    pmskt->skt= (intptr_t) NULL;
+    pmskt->skt= (int) NULL;
 #endif
   }
 
diff --git a/COSMIC/Sputs.c b/COSMIC/Sputs.c
index 1c944f5..f5c0847 100644
--- a/COSMIC/Sputs.c
+++ b/COSMIC/Sputs.c
@@ -20,13 +20,13 @@
 /* Sputs: */
 #ifdef __PROTOTYPE__
 void Sputs(
-  const char   *buf,
+  char   *buf,
   Socket *skt)
 #else
 void Sputs(
   buf,
   skt)
-const char   *buf;
+char   *buf;
 Socket *skt;
 #endif
 {
diff --git a/COSMIC/Svprintf.c b/COSMIC/Svprintf.c
index 629dce7..bd9fea3 100644
--- a/COSMIC/Svprintf.c
+++ b/COSMIC/Svprintf.c
@@ -52,7 +52,7 @@ if(!skt) {
 #ifdef AS400
 ret= vsprintf(buf,fmt,__va_list args);
 #else
-ret= vsprintf(buf,fmt,(void*) args);
+ret= vsprintf(buf,fmt,(char *) args);
 #endif
 Swrite(skt,buf,strlen(buf)+1);	/* send the null byte, too */
 
diff --git a/COSMIC/Swrite.c b/COSMIC/Swrite.c
index a161abc..99387a6 100644
--- a/COSMIC/Swrite.c
+++ b/COSMIC/Swrite.c
@@ -27,7 +27,7 @@
 #ifdef __PROTOTYPE__
 int Swrite(
 	   Socket *skt,		/* socket handle			*/
-	   const void   *buf,		/* socket character buffer	*/
+	   void   *buf,		/* socket character buffer	*/
 	   int     buflen)	/* length of buffer			*/
 #else
 int Swrite(
@@ -35,7 +35,7 @@ int Swrite(
 	       buf,				/* socket character buffer	*/
 	       buflen)			/* length of buffer			*/
 Socket *skt;
-const void   *buf;
+void   *buf;
 int     buflen;
 #endif
 {
diff --git a/Makefile.am b/Makefile.am
index 647f48c..8cd1979 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,7 +1,6 @@
 SUBDIRS = COSMIC
 
-bin_PROGRAMS = gethost loadavg monitor remhost
-sbin_PROGRAMS = dmucs
+bin_PROGRAMS = dmucs gethost loadavg monitor remhost
 
 dmucs_SOURCES = dmucs_resolve.cc dmucs_db.cc dmucs_host.cc \
 	dmucs_hosts_file.cc dmucs_msg.cc dmucs_host_state.cc main.cc
@@ -19,5 +18,5 @@ remhost_SOURCES = remhost.cc
 #
 # Make -DPKGDATADIR=<pkgdatadir> be passed on each compile.
 #
-AM_CPPFLAGS = -DSYSCONFDIR=\"${sysconfdir}\"
+AM_CPPFLAGS = -DPKGDATADIR=\"${pkgdatadir}\"
 
